Loading...
Searching...
No Matches
juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType > Struct Template Referencefinal
Inheritance diagram for juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >:

## Public Types

using | ParentType = typename Oversampling<SampleType>::OversamplingStage

## Public Member Functions

| Oversampling2TimesPolyphaseIIR (size_t numChans, SampleType normalisedTransitionWidthUp, SampleType stopbandAmplitudedBUp, SampleType normalisedTransitionWidthDown, SampleType stopbandAmplitudedBDown)
SampleType | getLatencyInSamples () const override
void | reset () override
void | processSamplesUp (const AudioBlock< const SampleType > &inputBlock) override
void | processSamplesDown (AudioBlock< SampleType > &outputBlock) override
void | snapToZero (bool snapUpProcessing)
Public Member Functions inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
| OversamplingStage (size_t numChans, size_t newFactor)
virtual void | initProcessing (size_t maximumNumberOfSamplesBeforeOversampling)
AudioBlock< SampleType > | getProcessedSamples (size_t numSamples)

## Additional Inherited Members

Public Attributes inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
AudioBuffer< SampleType > | buffer
size_t | numChannels
size_t | factor

## Detailed Description

template<typename SampleType>
struct juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >

Oversampling stage class performing 2 times oversampling using the Filter Design IIR Polyphase Allpass Cascaded method. The resulting filter is minimum phase, and provided with a method to get the exact resulting latency.

Definition at line 263 of file juce_Oversampling.cpp.

## Member Typedef Documentation

## ParentType

template<typename SampleType>

using juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::ParentType = typename Oversampling<SampleType>::OversamplingStage

Definition at line 265 of file juce_Oversampling.cpp.

## Constructor & Destructor Documentation

## Oversampling2TimesPolyphaseIIR()

template<typename SampleType>

juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::Oversampling2TimesPolyphaseIIR | ( | size_t | numChans,
|  | SampleType | normalisedTransitionWidthUp,
|  | SampleType | stopbandAmplitudedBUp,
|  | SampleType | normalisedTransitionWidthDown,
|  | SampleType | stopbandAmplitudedBDown )

inline

Definition at line 267 of file juce_Oversampling.cpp.

## Member Function Documentation

## getLatencyInSamples()

template<typename SampleType>

SampleType juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::getLatencyInSamples | ( |  | ) | const

inline override virtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 300 of file juce_Oversampling.cpp.

## processSamplesDown()

template<typename SampleType>

void juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::processSamplesDown | ( | AudioBlock< SampleType > & | outputBlock | ) |

inline override virtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 369 of file juce_Oversampling.cpp.

## processSamplesUp()

template<typename SampleType>

void juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::processSamplesUp | ( | const AudioBlock< const SampleType > & | inputBlock | ) |

inline override virtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 313 of file juce_Oversampling.cpp.

## reset()

template<typename SampleType>

void juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::reset | ( |  | ) |

inline override virtual

Reimplemented from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 305 of file juce_Oversampling.cpp.

## snapToZero()

template<typename SampleType>

void juce::dsp::Oversampling2TimesPolyphaseIIR< SampleType >::snapToZero | ( | bool | snapUpProcessing | ) |

inline

Definition at line 428 of file juce_Oversampling.cpp.

The documentation for this struct was generated from the following file:

- juce_Oversampling.cpp